FILEFRAG(8)

BEZEICHNUNG
filefrag - Dateifragmentierung berichten

ÜBERSICHT
filefrag [ -bBlockgröße ] [ -BeEkPsvVxX ] [ Dateien… ]

BESCHREIBUNG
filefrag berichtet, wie stark eine bestimmte Datei fragmentiert sein könnte. Es berücksichtigt indirekte Blöcke für Ext2- und Ext3-Dateisysteme, aber kann auch für Dateien auf beliebigen Dateisystemen verwandt werden.

Das Programm filefrag versucht anfänglich, die Extent-Informationen mittels des Ioctl FIEMAP zu ermitteln, da dieser effizienter und schneller ist. Falls FIEMAP nicht unterstützt wird, dann wird filefrag auf die Verwendung von FIBMAP zurückfallen.

OPTIONEN

-B  Erzwingt für Testzwecke den Einsatz des älteren Ioctls FIBMAP statt FIEMAP.

-bBlockgröße
    Verwendet statt der Dateisystemblockgröße die Blockgröße in Byte oder, mit der Endung [KMG], bis zu 1 GB für die Ausgabe. Zur Kompatibilität mit älteren Versionen von filefrag ist die Vorgabe 1024 byte, falls Blockgröße nicht angegeben ist. Da Blockgröße ein optionales Argument ist, muss es ohne irgendeinen Leerraum nach dem -b angegeben werden.

-e  Gibt die Ausgabe selbst für block-zugeordnete Dateien im Extent-Format aus.

-E  Zeigt den Inhalt des Extent-Statuszwischenspeichers von Ext4 an. Diese Funktionalität wird nicht auf allen Kerneln und nur auf dem Ext4-Dateisystem unterstützt.

-k  Verwendet 1024 byte als Blockgröße für die Ausgabe (identisch zu »-b1024«).

-P  Lädt den Ext4-Extent-Statuszwischenspeicher für die Datei vorab. Dies wird nicht auf allen Kerneln und nur auf dem Ext4-Dateisystem unterstützt.

-s  Synchronisiert die Datei vor der Anforderung der Zuordnung.

-v  Ausführliche Ausgabe bei der Überprüfung auf Dateifragementierung.

-V  Gibt die Versionsnummer des Programms und der Bibliothek aus. Falls zweimal angegeben, werden auch die von der aktuellen Version verstandenen FIEMAP-Schalter ausgegeben.

-x  Zeigt die Zuordnung der erweiterten Attribute an.

-X  Zeigt die Extent-Blocknummern im hexadezimalen Format an.

AUTOR
filefrag wurde von Theodore Ts'o <tytso@mit.edu> geschrieben.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).